package com.hp.user.client.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import java.util.Date;

/**
 * <p>
 * 企业/公司
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */

//@EqualsAndHashCode(callSuper = false)
//@Accessors(chain = true)
@TableName("tb_customer_company")
public class CustomerCompany extends Base {
    /**
     * 客户Id
     */
    private Long customerId;
    /**
     * 企业名称
     */
    private String name;
    /**
     * 企业类型；0服务商，1一般企业
     */
    private Short type;
    /**
     * 所属行业编码
     */
    private Short industryCode;
    /**
     * 企业税号
     */
    private String enterpriseTaxNumber;
    /**
     * 营业执照
     */
    private String businessLicense;
    /**
     * 企业联系人
     */
    private String businessContact;
    /**
     * 手机号
     */
    private String phoneNumber;

    public CustomerCompany(){}

    public CustomerCompany(Date createTime, Long createUserId, Date updateTime, Long updateUserId, Long customerId, String name, Short type, Short industryCode, String enterpriseTaxNumber, String businessLicense, String businessContact, String phoneNumber) {
        super(createTime, createUserId, updateTime, updateUserId);
        this.customerId = customerId;
        this.name = name;
        this.type = type;
        this.industryCode = industryCode;
        this.enterpriseTaxNumber = enterpriseTaxNumber;
        this.businessLicense = businessLicense;
        this.businessContact = businessContact;
        this.phoneNumber = phoneNumber;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Short getType() {
        return type;
    }

    public void setType(Short type) {
        this.type = type;
    }

    public Short getIndustryCode() {
        return industryCode;
    }

    public void setIndustryCode(Short industryCode) {
        this.industryCode = industryCode;
    }

    public String getEnterpriseTaxNumber() {
        return enterpriseTaxNumber;
    }

    public void setEnterpriseTaxNumber(String enterpriseTaxNumber) {
        this.enterpriseTaxNumber = enterpriseTaxNumber;
    }

    public String getBusinessLicense() {
        return businessLicense;
    }

    public void setBusinessLicense(String businessLicense) {
        this.businessLicense = businessLicense;
    }

    public String getBusinessContact() {
        return businessContact;
    }

    public void setBusinessContact(String businessContact) {
        this.businessContact = businessContact;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }
}
